IntegrationTestPhaseConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.runner.phase

## [Groovy] Class IntegrationTestPhaseConfigurer

- org.codehaus.groovy.grails.test.runner.phase.IntegrationTestPhaseConfigurer

- Test phase configurer for the integration test phase

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsWebApplicationContext` | `appCtx` |
    `protected GrailsProjectLoader` | `projectLoader` |
    `protected GrailsProjectTestCompiler` | `projectTestCompiler` |
    `protected GrailsProjectWatcher` | `projectWatcher` |
    `protected MetaClassRegistryCleaner` | `registryCleaner` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static GrailsWebApplicationContext` | `currentApplicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IntegrationTestPhaseConfigurer (GrailsProjectTestCompiler projectTestCompiler, GrailsProjectLoader projectLoader)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cleanup(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)`
    `void` | `prepare(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTestPhaseConfigurer` | `cleanup, prepare`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsWebApplicationContext appCtx

    - #### protected GrailsProjectLoader projectLoader

    - #### protected GrailsProjectTestCompiler projectTestCompiler

    - #### protected GrailsProjectWatcher projectWatcher

    - #### protected MetaClassRegistryCleaner registryCleaner

  - ### Property Detail

    - #### static GrailsWebApplicationContext currentApplicationContext

  - ### Constructor Detail

    - #### IntegrationTestPhaseConfigurer(GrailsProjectTestCompiler projectTestCompiler, GrailsProjectLoader projectLoader)

  - ### Method Detail

    - #### @java.lang.Override void cleanup(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)

    - #### @java.lang.Override void prepare(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)